## com.lowagie.text.rtf.field
Class RtfTOCEntry

    java.lang.Object
      com.lowagie.text.Chunk
          com.lowagie.text.rtf.field.RtfField
              com.lowagie.text.rtf.field.RtfTOCEntry

All Implemented Interfaces:
  Element, MarkupAttributes, RtfBasicElement

    public class RtfTOCEntry

extends RtfField

The RtfTOCEntry is used together with the RtfTableOfContents to generate a table of contents. Add the RtfTOCEntry in those locations in the document where table of contents entries should link to

Version:
  $Version:$
Author:
  Mark Hall (mhall@edu.uni-klu.ac.at), Steffen.Stundzig (Steffen.Stundzig@smb-tec.com)

Field Summary
`private java.lang.String` `entry` The entry text of this RtfTOCEntry
`private boolean` `showPageNumber` Whether to show page numbers in the table of contents
`private static byte[]` `TEXT_HIDDEN_OFF` Constant for the end of hidden text
`private static byte[]` `TEXT_HIDDEN_ON` Constant for the beginning of hidden text
`private static byte[]` `TOC_ENTRY_NO_PAGE_NUMBER` Constant for a TOC entry without page numbers
`private static byte[]` `TOC_ENTRY_PAGE_NUMBER` Constant for a TOC entry with page numbers

Fields inherited from class com.lowagie.text.rtf.field.RtfField
`document`

Fields inherited from class com.lowagie.text.Chunk
`ACTION, attributes, BACKGROUND, COLOR, content, ENCODING, GENERICTAG, HSCALE, HYPHENATION, IMAGE, LOCALDESTINATION, LOCALGOTO, markupAttributes, NEWLINE, NEWPAGE, NEXTPAGE, OBJECT_REPLACEMENT_CHARACTER, PDFANNOTATION, REMOTEGOTO, SKEW, SPLITCHARACTER, SUBSUPSCRIPT, TEXTRENDERMODE, UNDERLINE`

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Constructor Summary
`RtfTOCEntry(java.lang.String entry)` Constructs a RtfTOCEntry with a certain entry text.

Method Summary
`void` `setShowPageNumber(boolean showPageNumber)` Sets whether to display a page number in the table of contents, or not
`byte[]` `write()` Writes the content of the RtfTOCEntry
`protected byte[]` `writeFieldInstContent()` UNUSED
`protected byte[]` `writeFieldResultContent()` UNUSED

Methods inherited from class com.lowagie.text.rtf.field.RtfField
`isEmpty, isFieldAlt, isFieldDirty, isFieldEdit, isFieldLocked, isFieldPrivate, setFieldAlt, setFieldDirty, setFieldEdit, setFieldLocked, setFieldPrivate, setInHeader, setInTable, setRtfDocument`

Methods inherited from class com.lowagie.text.Chunk

`addToArray, append, content, font, getAttributes, getChunks, getHorizontalScaling, getImage, getKeySet, getMarkupAttribute, getMarkupAttributeNames, getMarkupAttributes, getTextRise, getWidthPoint, hasAttributes, isTag, process, setAction, setAnchor, setAnchor, setAnnotation, setBackground, setBackground, setFont, setGenericTag, setHorizontalScaling, setHyphenation, setLocalDestination, setLocalGoto, setMarkupAttribute, setMarkupAttributes, setNewPage, setRemoteGoto, setRemoteGoto, setSkew, setSplitCharacter, setTextRenderMode, setTextRise, setUnderline, setUnderline, toString, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TEXT_HIDDEN_ON

    private static final byte[] TEXT_HIDDEN_ON

  Constant for the beginning of hidden text

### TEXT_HIDDEN_OFF

    private static final byte[] TEXT_HIDDEN_OFF

  Constant for the end of hidden text

### TOC_ENTRY_PAGE_NUMBER

    private static final byte[] TOC_ENTRY_PAGE_NUMBER

  Constant for a TOC entry with page numbers

### TOC_ENTRY_NO_PAGE_NUMBER

    private static final byte[] TOC_ENTRY_NO_PAGE_NUMBER

  Constant for a TOC entry without page numbers

### entry

    private java.lang.String entry

  The entry text of this RtfTOCEntry

### showPageNumber

    private boolean showPageNumber

  Whether to show page numbers in the table of contents

Constructor Detail

### RtfTOCEntry

    public RtfTOCEntry(java.lang.String entry)

  Constructs a RtfTOCEntry with a certain entry text.

  Parameters:
    `entry` - The entry text to display

Method Detail

### write

    public byte[] write()

  Writes the content of the RtfTOCEntry

  Specified by:
    `write` in interface `RtfBasicElement`
  Overrides:
    `write` in class `RtfField`
  Returns:
    A byte array with the contents of the RtfTOCEntry

### setShowPageNumber

    public void setShowPageNumber(boolean showPageNumber)

  Sets whether to display a page number in the table of contents, or not

  Parameters:
    `showPageNumber` - Whether to display a page number or not

### writeFieldInstContent

    protected byte[] writeFieldInstContent()
                                    throws java.io.IOException

  UNUSED

  Specified by:
    `writeFieldInstContent` in class `RtfField`
  Returns:
    null
  Throws:
    `java.io.IOException` - never thrown

### writeFieldResultContent

    protected byte[] writeFieldResultContent()
                                      throws java.io.IOException

  UNUSED

  Specified by:
    `writeFieldResultContent` in class `RtfField`
  Returns:
    null
  Throws:
    `java.io.IOException` - never thrown